Bug 63105 - FILEOPEN: Attached file makes LibreOffice to Hang consuming CPU
Summary: FILEOPEN: Attached file makes LibreOffice to Hang consuming CPU
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:doc
Depends on:
Blocks: DOC-Opening CPU-AT-100%
  Show dependency treegraph
 
Reported: 2013-04-04 07:29 UTC by Alex Masterov
Modified: 2022-04-18 03:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
DOC file that makes LO hang (99.00 KB, application/msword)
2013-04-04 07:29 UTC, Alex Masterov
Details
apple crash log (371.32 KB, text/rtf)
2013-04-04 14:38 UTC, Thomas van der Meulen [retired]
Details
simplified document (87.00 KB, application/msword)
2015-09-15 15:11 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Masterov 2013-04-04 07:29:43 UTC
Created attachment 77405 [details]
DOC file that makes LO hang

Problem description: Opening attached DOC file with LibreOffice makes it freeze consuming 100%CPU for several minutes (process soffice.bin was killed by me after). MS Word viewer (under wine) opens this file in less than a second. Google docs also opens this file in a reasonable time.

Steps to reproduce:
1. Open attached file in LO
2. See soffice.bin consuming CPU, not opening file.

Current behavior:

LibreOffice hangs.

Expected behavior:

LibreOffice should open this file in a reasonable time.
Operating System: Fedora
Version: 3.6.5.2 release
Comment 1 Thomas van der Meulen [retired] 2013-04-04 14:36:39 UTC
Thank you for your report, I can reporduce that is hangs and I hat to furce it to close, I have addited the apple log for the developer. 

version LibreOffice: 4.0.2.2
pc: Macbook pro 2012
os: Mac osx 10.8.3
Comment 2 Thomas van der Meulen [retired] 2013-04-04 14:38:12 UTC
Created attachment 77424 [details]
apple crash log
Comment 3 QA Administrators 2015-03-04 02:22:35 UTC Comment hidden (obsolete)
Comment 4 Alex Masterov 2015-03-04 05:40:11 UTC
This bug still exists with LibreOffice 4.4.1.2 under Windows 7.
Build id: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Comment 5 Xisco Faulí 2015-09-15 15:11:01 UTC
Created attachment 118749 [details]
simplified document

This issue is still present in

Version: 5.0.1.2
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: es-ES (es_ES)

on Windows 7 (64-bit)
Comment 6 QA Administrators 2016-09-20 10:32:15 UTC Comment hidden (obsolete)
Comment 7 Roman Kuznetsov 2019-01-21 09:11:58 UTC
still repro in

Version: 6.3.0.0.alpha0+
Build ID: 6b4ea2d8ddd681fec98773d7e0bbec9657a1fc08
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

CPU loaded to 25% but LO is freezed anyway
Comment 8 Justin L 2020-04-17 14:18:43 UTC
still repro 7.0+
including with round-tripped versions from 2003.

If I change the wrapping value from the (very nice!) stripped down version, then it loads no problem.
Comment 9 QA Administrators 2022-04-18 03:25:28 UTC
Dear Alex Masterov,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug